<?php 
namespace App\Entities\Galeria;

use App\Utils\Entity;

class Galeria extends Entity
{
    protected $id;
    protected $descricao;
    protected $imagem;
    protected $id_clinica;
    protected $id_medico;
    protected $id_paciente;
    protected $criado_em;
    protected $alterado_em;
    protected $criado_por;
    protected $alterado_por;

    public static function builder() : GaleriaBuilder
    {
        return (new GaleriaBuilder);
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getDescricao()
    {
        return $this->descricao;
    }

    public function setDescricao($descricao): void
    {
        $this->descricao = $descricao;
    }

    public function getIdClinica()
    {
        return $this->id_clinica;
    }

    public function setIdClinica($id_clinica): void
    {
        $this->id_clinica = $id_clinica;
    }

    public function getIdMedico()
    {
        return $this->id_medico;
    }

    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

    public function getIdPaciente()
    {
        return $this->id_paciente;
    }

    public function setIdPaciente($id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

    public function getCriadoEm()
    {
        return $this->criado_em;
    }

    public function setCriadoEm($criado_em): void
    {
        $this->criado_em = $criado_em;
    }

    public function getAlteradoEm()
    {
        return $this->alterado_em;
    }

    public function setAlteradoEm($alterado_em): void
    {
        $this->alterado_em = $alterado_em;
    }

    public function getCriadoPor()
    {
        return $this->criado_por;
    }

    public function setCriadoPor($criado_por): void
    {
        $this->criado_por = $criado_por;
    }

    public function getAlteradoPor()
    {
        return $this->alterado_por;
    }

    public function setAlteradoPor($alterado_por): void
    {
        $this->alterado_por = $alterado_por;
    }

    public function getImagem()
    {
        return $this->imagem;
    }

    public function setImagem($imagem): void
    {
        $this->imagem = $imagem;
    }



}